Package org.opensaml.xmlsec.agreement

# Interface KeyAgreementCredential

All Superinterfaces:
  `Credential`

All Known Implementing Classes:
  `BasicKeyAgreementCredential`

public interface KeyAgreementCredential extends Credential
An entity credential which represents the result of a key agreement operation.

This will typically contain a secret key only, and no public or private key. The information available via this type's interface describes how the secret key was produced.

## Method Summary

Modifier and Type
Method
Description
`String`
`getAlgorithm()`
The key agreement algorithm URI used.
`Credential`
`getOriginatorCredential()`
The credential holding the originator key material.
`KeyAgreementParameters`
`getParameters()`
The parameters to the key agreement operation.
`Credential`
`getRecipientCredential()`
The credential holding the recipient key material.

### Methods inherited from interface org.opensaml.security.credential.Credential

`getCredentialContextSet, getCredentialType, getEntityId, getKeyNames, getPrivateKey, getPublicKey, getSecretKey, getUsageType`

## Method Details

### getAlgorithm

@Nonnull String getAlgorithm()
The key agreement algorithm URI used.

Returns:
  the algorithm

### getOriginatorCredential

@Nonnull Credential getOriginatorCredential()
The credential holding the originator key material.

Returns:
  the originator credential

### getRecipientCredential

@Nonnull Credential getRecipientCredential()
The credential holding the recipient key material.

Returns:
  the recipient credential

### getParameters

@Nonnull KeyAgreementParameters getParameters()
The parameters to the key agreement operation.

Returns:
  the parameters